#!/bin/bash



ARG1=$1
IMAGE_NAME=$FORGE_NAME/$CI_REPO

DEPLOYMENT_DIR=$PWD/deployment



pushd $DEPLOYMENT_DIR

NAMESPACE=`cat namespace`

kubectl create configmap ma-conf \
  --from-literal=MA_CONF="`cat config.json`" \
  --dry-run=client \
  -o yaml \
  --save-config | \
  kubectl apply -f - -n $NAMESPACE

cat deploy-yml.tmpl | \
  sed -e 's,%IMAGE%,'$IMAGE_NAME':'$IMAGE_TAG','g | \
  kubectl apply -f - -n $NAMESPACE


popd
